12.16.2013

php built in mac with CGI for development with phpstorm

My basic php on mac could not use the local development.

My php storm said 'php-cgi not found: Please ensure that configured PHP Interpreter built as CGI program (--enable-fastcgi was specified)' when I try to open for test.

So I found other easy way to solve it.






From: http://php-osx.liip.ch/

PHP 5.5 (Current stable)

curl -s http://php-osx.liip.ch/install.sh | bash -s 5.5
 
 
It will ask you for your password. We install the packager in /usr/local/packer and PHP into /usr/local/php5 and for this, we need your password. We don't do anything bad with it.


And you have to choose the /usr/local/php5/bin for phpstorm.

1. Open phpstorm and preferences (command+,)

2. go PHP section

3. Click (...) beside Interpreter section

4. Choose your php. (May your directory is /usr/local/php5/bin)

Done.


8 comments:

Ian Ferguson said...

I'm seeing this…

Start packager (may take some time)
File "/usr/local/packager/packager.py", line 38
print "ERROR: Option %s is not valid for command %s\n" % (opt[0], command)
^
SyntaxError: invalid syntax

awesome said...

Just try to delete the line or make to annotate

Unknown said...

FUCK ME!!!
THANK YOU SO MUCHHHHH!

Unknown said...

THANK U SO MUCH

Shivani Bisht said...

Great Article… I love to read your articles because your writing style is too good, it is very helpful for all of us and I never get bored while reading your article. Visit Ukraine VPS Hosting

Shivani Bisht said...

Great Article… I love to read your articles because your writing style is too good, it is very helpful for all of us and I never get bored while reading your article. Visit Ukraine VPS Hosting

Arun Kumar said...

Thanks for sharing your great information. I love this posting and it's very much help full for me.
Germany VPS Hosting

mamta said...

Nicely you explained everything in your article. Thanks for your information; this is nice and helpful… Definitely going to share this article to my friends.
UK VPS Hosting